org.apache.solr.client.solrj.cloud.autoscaling

## Interface ClusterDataProvider

All Superinterfaces:
  AutoCloseable, Closeable

All Known Implementing Classes:
  SolrClientDataProvider

    public interface ClusterDataProvider
    extends Closeable

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default void` `close()`
`Collection<String>` `getNodes()`
`Map<String,Object>` `getNodeValues(String node, Collection<String> tags)` Get the value of each tag for a given node
`String` `getPolicyNameByCollection(String coll)` Get the collection-specific policy
`Map<String,Map<String,List<Policy.ReplicaInfo>>>` `getReplicaInfo(String node, Collection<String> keys)` Get the details of each replica in a node.

### Method Detail

#### getNodeValues

    Map<String,Object> getNodeValues(String node,
                                     Collection<String> tags)

Get the value of each tag for a given node

Parameters:
  `node` - node name
  `tags` - tag names
Returns:
  a map of tag vs value

#### getReplicaInfo

    Map<String,Map<String,List<Policy.ReplicaInfo>>> getReplicaInfo(String node,
                                                                    Collection<String> keys)

Get the details of each replica in a node. It attempts to fetch as much details about the replica as mentioned in the keys list. It is not necessary to give al details

the format is {collection:shard :[{replicadetails}]}

#### getNodes

    Collection<String> getNodes()

#### getPolicyNameByCollection

    String getPolicyNameByCollection(String coll)

Get the collection-specific policy

#### close

    default void close()
                throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`